Bug 1344401 - Tamil language fonts not displaying correctly in gnome-terminal
Summary: Tamil language fonts not displaying correctly in gnome-terminal
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 26
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-09 15:05 UTC by Buvanesh Kumar
Modified: 2017-05-26 05:08 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-26 05:08:38 UTC


Attachments (Terms of Use)
Tamil font rendering incorrectly (23.99 KB, image/png)
2016-06-09 15:05 UTC, Buvanesh Kumar
no flags Details

Description Buvanesh Kumar 2016-06-09 15:05:07 UTC
Created attachment 1166348 [details]
Tamil font rendering incorrectly

Description of problem:
I am using fedora 22 system. I am unable to view the Tamil fonts correctly. It's in unstructured format. But it shows very well in konsole terminal.  


Version-Release number of selected component (if applicable): 

How reproducible:
 It happens to me every time when I follow the below steps

Steps to Reproduce:
1. Here is the guide on how to type in Tamil
  http://welinux.blogspot.in/2016/06/type-tamil-in-fedora-22-all-most-in-all.html
2. Select Tamil keyboard from input method
3. Open gnome-terminal
4. For example write any text inside a text file
  # vim foo.txt
   வணக்கம்
5. View it in terminal
  # cat foo.txt
//It will show Tamil fonts incorrectly


Actual results:
Shows Tamil fonts incorrectly.

Expected results: 
It should show Tamil fonts properly. 


Additional info: This problem is not only in Fedora 22 systems. It occurs on all Fedora, CentOS and Red Hat distributions. The above method works well on Konsole. Konsole show Tamil fonts properly. So the problem might be in gnome-terminal.

Comment 1 Matthias Clasen 2016-06-20 16:43:15 UTC
See https://bugzilla.gnome.org/show_bug.cgi?id=584160 for some history of CTL in gnome-terminal. It is not an easy problem, and I don't expect fast progress.

Comment 2 Pravin Satpute 2016-10-19 06:28:48 UTC
Right, surprising. Now Konsole has also started supporting complex script rendering.

I think problem for this fix is not technology, but should actually gnome-terminal support complex script.

We are advancing in technology, so i feel in long term we must support complex script in Gnome as well.

Comment 3 Fedora End Of Life 2016-11-25 09:15:50 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Buvanesh Kumar 2017-05-23 09:57:01 UTC
We have crossed 4 versions (Fedora 23,24,25 and 26). 
Still, the issue is not resolved :(.

Comment 5 Pravin Satpute 2017-05-26 05:08:38 UTC
This is not about Fedora 23. 

This is known issue from last 10 years and already decided that if anyone wants to use Indian or any language required complex script features use Emacs instead.

COE college students done project to resolve this and few patches are available. please read more about it at http://foss.coep.org.in/fosslab/Indian-Language-support-in-gnome-terminal.pdf but its not as per design of VTE.


Note You need to log in before you can comment on or make changes to this bug.